/*
 * kylin-status-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangguixi <wangguixi@kylinos.cn>
 *
 */
#include "backend_init.h"
#include <QDebug>
Backend_Init::Backend_Init(QObject *parent) : QObject(parent)
{
    qDebug()<<"init";
    QString path="/etc/ukui/kylin-status-manager/statusconfig.ini";
    productname=new QSettings(path,QSettings::IniFormat);

    QProcess process;
    QStringList options;
    options << "-c";
    options << "dmidecode -s system-product-name";
    process.start("/bin/bash",options);
    process.waitForFinished();
    QString result = process.readAllStandardOutput();

    QStringList list = result.split("\n");
    result=list.at(0);
    qDebug()<<"system-product-name"<<result;
    productname->beginGroup("type");
    productname->setValue("productname",result);
    productname->sync();
    productname->endGroup();

//    QStringList list = result.split(" ");
//    for(int i=0;i<=list.count()-1;i++){
//        QString str=list.at(i);
//        if(str.contains("Tablet",Qt::CaseSensitive)){
//            productname->beginGroup("type");
//            productname->setValue("productname","Tablet");
//            productname->sync();
//            productname->endGroup();
//        }
//    }
    qDebug()<<"end";
    exit(0);
}
Backend_Init::~Backend_Init()
{
    if(productname)
        delete productname;
}
