/*
 * kylin-status-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangguixi <wangguixi@kylinos.cn>
 *
 */
#ifndef BLUEZ_KEYBOARD_MONITORING_H
#define BLUEZ_KEYBOARD_MONITORING_H
#include <KF5/BluezQt/bluezqt/device.h>
#include <KF5/BluezQt/bluezqt/adapter.h>
#include <KF5/BluezQt/bluezqt/manager.h>
#include <KF5/BluezQt/bluezqt/initmanagerjob.h>
#include <QtDBus/QDBusConnection>
#include <QtDBus/QDBusReply>
#include <QtDBus/QDBusMessage>
#include <QtDBus/QDBusAbstractInterface>
#include <QDebug>
#include <QObject>
#include <QThread>
#include <QGSettings>
class Bluez_Keyboard_Monitoring : public QThread
{
    Q_OBJECT
public:
    Bluez_Keyboard_Monitoring();
    ~Bluez_Keyboard_Monitoring();
    void run();
private:
    BluezQt::Manager *manager=nullptr;
    BluezQt::InitManagerJob *job=nullptr;
    BluezQt::DevicePtr blqdev=nullptr;
    BluezQt::AdapterPtr blqadaoter=nullptr;
    BluezQt::AdapterPtr get_Defualt_Adapter();

    void start_to_monitor_blue_keyboard();
    void connect_To_Adapter();

    QGSettings * gsetting=nullptr;
    QString Default_Adapter;
public slots:

signals:
    void blue_keyboard_ststus_changed(int type);
};

#endif // BLUEZ_KEYBOARD_MONITORING_H
