/*
 * kylin-status-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangguixi <wangguixi@kylinos.cn>
 *
 */
#ifndef BUILTIN_KEYBOARD_MONITORING_H
#define BUILTIN_KEYBOARD_MONITORING_H

#include <QObject>
#include <QSettings>
#include <QDebug>
#include <QDBusConnection>
#include <QDBusInterface>
#include <QDBusReply>
#include <QGSettings>
class Builtin_Keyboard_monitoring : public QObject
{
    Q_OBJECT
public:
    explicit Builtin_Keyboard_monitoring(QObject *parent = nullptr);

    ~Builtin_Keyboard_monitoring();
    bool get_builtin_keyboard_status();
    bool builtin = true;//有无内置键盘
    bool builtin_enable = true; //内置键盘是否可用


    //传感器匹配
    bool iiosensor_matching1();
    bool iiosensor_matching2();
    int  iiosensor_matchingnum=0;
    QGSettings *status_manager_Setting = nullptr;   //状态管理器的gsetting
private:
    QSettings * setting = nullptr;
    QDBusInterface *iioIface1 = nullptr;
    QDBusInterface *plmIface1 = nullptr;

    //----------
    QDBusInterface *plmIface2 = nullptr;

public slots:
    void on_plm_changed1(QString key ,QDBusVariant status);
    void on_plm_changed2(int original_mode);

signals:
    void builtin_keyboard_ststus_changed(int type);

};

#endif // BUILTIN_KEYBOARD_MONITORING_H
