/*
 * kylin-status-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangguixi <wangguixi@kylinos.cn>
 *
 */
#ifndef KEYBOARD_STATUS_MONITORING_H
#define KEYBOARD_STATUS_MONITORING_H

#include <QObject>
#include <QString>
#include <QProcess>
#include <QDebug>

#include "bluez_keyboard_monitoring.h"
#include "usb_keyboard_monitoring.h"
#include "builtin_keyboard_monitoring.h"
class Keyboard_Status_Monitoring : public QObject
{
    Q_OBJECT
public:
    explicit Keyboard_Status_Monitoring(QObject *parent = nullptr);
    ~Keyboard_Status_Monitoring();
    QStringList get_keyboardlist();//获得当前系统上的键盘设备列表
    int get_keyboard_ststus_result(int type=4);//得到键盘使用状态的结果
    bool is_ATTranslatedSet2keyboard();//判断键盘列表有无ATTranslatedSet2keyboard字段
private:
    Bluez_Keyboard_Monitoring * bkeyboard;
    Usb_Keyboard_Monitoring * ukeyboard;
    Builtin_Keyboard_monitoring * bikeyboard;

    QStringList last_keyboard_list;
signals:
    void keyboard_enable_signal(bool enable);
};

#endif // KEYBOARD_STATUS_MONITORING_H
