/*
 * kylin-status-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangguixi <wangguixi@kylinos.cn>
 *
 */
#ifndef ROTATION_MONITORING_H
#define ROTATION_MONITORING_H

#include <QObject>
#include <QSensor>
#include <QOrientationSensor>
#include <QGSettings>
#include <QTimer>
//---
#include <QDBusConnection>
#include <QDBusInterface>
#include <QDBusReply>
//---
class Rotation_Monitoring : public QObject
{
    Q_OBJECT
public:
    explicit Rotation_Monitoring(QObject *parent = nullptr);

    ~Rotation_Monitoring();
    QOrientationSensor * qsensor = nullptr;
    QGSettings *status_manager_Setting=nullptr;   //状态管理器的gsetting
    enum RotationStatus
    {
        normal=1,    //水平向下，不改变pc/table模式，不改变前一个信号值
        upsidedown=2,  //
        left=3,        //
        right=4 ,      //
    };
    Q_ENUM(RotationStatus)


    QString get_rotation_status();

    void Sleep(int msec);


public slots:
    void start_sensor_monitoring();
    void rotations_change();
signals:
    void rotations_change_signal(QString rotations);

};

#endif // ROTATION_MONITORING_H
