/*
 * kylin-status-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangguixi <wangguixi@kylinos.cn>
 *
 */
#include "devices_status_monitoring.h"

Devices_Status_Monitoring::Devices_Status_Monitoring(QObject *parent) : QObject(parent)
{
    keyboard_status = new Keyboard_Status_Monitoring;//键盘监控
    connect(keyboard_status,&Keyboard_Status_Monitoring::keyboard_enable_signal,
            this,&Devices_Status_Monitoring::keyboard_enable_signal);
//+键盘防抖处理

    rotation_status = new Rotation_Monitoring();//旋转监控
    connect(rotation_status,&Rotation_Monitoring::rotations_change_signal,
            this,&Devices_Status_Monitoring::rotations_change_signal);
//+旋转防抖处理
}
Devices_Status_Monitoring::~Devices_Status_Monitoring()
{
    delete keyboard_status;
    delete rotation_status;
}
int Devices_Status_Monitoring::get_keyboard_enable_result()
{
    return keyboard_status->get_keyboard_ststus_result();
}
QString Devices_Status_Monitoring::get_rotation_status()
{
    return rotation_status->get_rotation_status();
}
