/*
 * kylin-status-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangguixi <wangguixi@kylinos.cn>
 *
 */
#ifndef DEVICES_STATUS_MONITORING_H
#define DEVICES_STATUS_MONITORING_H

#include <QObject>
#include "Keyboard_Devices/keyboard_status_monitoring.h"
#include "Rotation_Monitoring/rotation_monitoring.h"
class Devices_Status_Monitoring : public QObject
{
    Q_OBJECT
public:
    explicit Devices_Status_Monitoring(QObject *parent = nullptr);
    ~Devices_Status_Monitoring();
    Keyboard_Status_Monitoring * keyboard_status = nullptr;

    Rotation_Monitoring * rotation_status = nullptr;
    int get_keyboard_enable_result();
    QString get_rotation_status();
signals:
    void keyboard_enable_signal(bool enable);
    void rotations_change_signal(QString rotations);
};

#endif // DEVICES_STATUS_MONITORING_H
