QT += core gui dbus xml qml x11extras sensors
LIBS += -lgsettings-qt
LIBS += -lukui-log4qt -ludev -lKF5BluezQt

PKGCONFIG += gsettings-qt x11 xtst
QMAKE_CXXFLAGS += -Wdeprecated-declarations

TARGET = kylin-status-manager

target.source += $$TARGET
target.path = /usr/bin
desktop.files += data/kylin-status-manager.desktop
desktop.path = /etc/xdg/autostart
gschema.files  += data/org.kylin-status-manager.gschema.xml
gschema.path = /usr/share/glib-2.0/schemas

INSTALLS += target gschema desktop

CONFIG += c++11 console link_pkgconfig
CONFIG -= app_bundle

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
        Backend_Services/backend_init.cpp \
        Devices_Status_Monitoring/Keyboard_Devices/bluez_keyboard_monitoring.cpp \
        Devices_Status_Monitoring/Keyboard_Devices/builtin_keyboard_monitoring.cpp \
        Devices_Status_Monitoring/Keyboard_Devices/usb_keyboard_monitoring.cpp \
        Devices_Status_Monitoring/Rotation_Monitoring/rotation_monitoring.cpp \
        Devices_Status_Monitoring/devices_status_monitoring.cpp \
        Devices_Status_Monitoring/Keyboard_Devices/keyboard_status_monitoring.cpp \
        Frontend_Console/autoswitch.cpp \
        main.cpp \
#        Frontend_Console/testdeamon.cpp \
#        Frontend_Console/xeventmonitor.cpp

HEADERS += \
    Backend_Services/backend_init.h \
    Devices_Status_Monitoring/Keyboard_Devices/bluez_keyboard_monitoring.h \
    Devices_Status_Monitoring/Keyboard_Devices/builtin_keyboard_monitoring.h \
    Devices_Status_Monitoring/Keyboard_Devices/usb_keyboard_monitoring.h \
    Devices_Status_Monitoring/Rotation_Monitoring/rotation_monitoring.h \
    Devices_Status_Monitoring/devices_status_monitoring.h \
    Devices_Status_Monitoring/Keyboard_Devices/keyboard_status_monitoring.h \
    Frontend_Console/autoswitch.h \
#    Frontend_Console/testdeamon.h \
#    Frontend_Console/xeventmonitor.h

DISTFILES += \
    data/org.kylin-status-manager.gschema.xml

RESOURCES += \
    data/src.qrc
